### Hierarchy

- RecordVisitor
  - BriefcaseVisitor
  - WorkPackageVisitor
  - SelectedWorkPackageVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitAndSetPropertyValueAt
- visitProperties
- visitPropertyValueAt
- visitRecordId
- visitAndSetPropertyValueAt
- visitPropertyValueAt

## Constructors

### constructor

- new RecordVisitor(value: string | object): RecordVisitor

- - Defined in proxy/RecordVisitor.ts:10

  #### Parameters

  - ##### value: string | object

  #### Returns RecordVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/RecordVisitor.ts:10

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/RecordVisitor.ts:44

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/RecordVisitor.ts:48

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/RecordVisitor.ts:52

  #### Returns any

### visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(propertyName: string, value: any): void

- - Defined in proxy/RecordVisitor.ts:67

  #### Parameters

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### visitProperties

- visitProperties(): IterableIterator<PropertyVisitor>

- - Defined in proxy/RecordVisitor.ts:87

  #### Returns IterableIterator<PropertyVisitor>

### visitPropertyValueAt

- visitPropertyValueAt(propertyName: string): any

- - Defined in proxy/RecordVisitor.ts:58

  #### Parameters

  - ##### propertyName: string

  #### Returns any

### visitRecordId

- visitRecordId(): string

- - Defined in proxy/RecordVisitor.ts:94

  #### Returns string

### Static visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(record: object, propertyName: string, value: any): void

- - Defined in proxy/RecordVisitor.ts:38

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### Static visitPropertyValueAt

- visitPropertyValueAt(record: object, propertyName: string): any

- - Defined in proxy/RecordVisitor.ts:34

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  #### Returns any

Generated using TypeDoc